Project

General

Profile

Bug #48237

Unable to disable SSO

Added by Kevin Meijer 2 months ago. Updated about 1 month ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
dashboard/auth-sso
Target version:
% Done:

0%

Source:
Community (user)
Tags:
Backport:
nautilus, octopus
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

Today I updated from 14.2.13 to v15.2.5 and migrated to a containerised installation. Before upgrading I had SSO enabled. Unfortunately after the upgrade, everything I do regarding the SSO settings I get the following error:

Error EPERM: Required library not found: `python3-saml`

This also occurs when I try to disable the SSO integration using ceph dashboard sso disable, which basically makes the dashboard unusable since I cannot disable nor fix the SSO settings.


Related issues

Copied to mgr - Backport #48343: octopus: Unable to disable SSO Resolved
Copied to mgr - Backport #48344: nautilus: Unable to disable SSO Resolved

History

#1 Updated by Ernesto Puerta 2 months ago

  • Target version set to v16.0.0

#2 Updated by Ernesto Puerta 2 months ago

  • Status changed from New to Fix Under Review
  • Pull request ID set to 38084

#3 Updated by Ernesto Puerta 2 months ago

  • Backport set to nautilus, octopus

#4 Updated by Volker Theile 2 months ago

  • Status changed from Fix Under Review to Pending Backport

#5 Updated by Nathan Cutler about 2 months ago

#6 Updated by Nathan Cutler about 2 months ago

#7 Updated by Volker Theile about 1 month ago

  • Status changed from Pending Backport to Resolved

Also available in: Atom PDF